%define module cups

Summary:       Python bindings for the CUPS API
Name:          python-%{module}
Version:       1.9.63
Release:       %mkrel 1
Source0:       http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.xz
License:       BSD 
Group:         Development/Python
Url:           http://cyberelk.net/tim/software/pycups/
BuildRequires: pkgconfig(python)
BuildRequires: cups-devel
BuildRequires: epydoc
Patch1:        python-cups-uris.patch
Patch2:        python-cups-decoding.patch

%description
Python bindings for the CUPS API.

%package doc
Summary:       Documentation for python-cups
Group:         Documentation

%description doc
Documentation for python-cups.

%files
%doc COPYING ChangeLog README NEWS TODO
%{python_sitearch}/cups.so
%{python_sitearch}/pycups*.egg-info
%{_rpmconfigdir}/fileattrs/psdriver.attr
%{_rpmconfigdir}/postscriptdriver.prov

%files doc
%doc examples html

#--------------------------------------------------------------------

%prep
%setup -q -n pycups-%version
# Encode generated URIs correctly (patch from upstream).
%patch1 -p1 -b .uris

# Propagate UTF-8 decoding errors.
%patch2 -p1 -b .decoding


%build
make CFLAGS="%{optflags} -fno-strict-aliasing"
make doc

%install
make install DESTDIR="%{buildroot}"


%changelog
* Sat Aug 10 2013 billybot <billybot> 1.9.63-1pclos2013
- update
